<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      .polaroid {
        border: 1px solid #bfbfbf;
      }
    </style>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <title>My Chart.js Chart</title>
  </head>
  <body style="min-height: 800px;">
    <div class="chart-container" style="position: relative; max-width: 1200px;">
      <canvas id="myChart2" class="polaroid"></canvas>
    </div>

    <script>
      // Bar chart
      new Chart(document.getElementById('myChart2'), {
        type: 'horizontalBar',
        data: {
          labels: ['NPS Score'],
          datasets: [
            {
              label: 'Detractors (0-6)',
              backgroundColor: '#EF1856',
              data: [5],
            },
            {
              label: 'Passives (7-8)',
              backgroundColor: '#00C681',
              data: [30],
            },
            {
              label: 'Promoters (9-10)',
              backgroundColor: '#F3C900',
              data: [65],
            },
          ],
        },
        options: {
          // barValueSpacing: 30,
          legend: { display: true },
          title: {
            display: true,
            text: 'NPS Score',
          },
          scales: {
            xAxes: [
              {
                ticks: {
                  min: 50, // Edit the value according to what you need
                },
              },
            ],
            xAxes: [
              {
                stacked: true,
              },
            ],
          },
        },
      });
    </script>
  </body>
</html>
